Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<NonPersistent()> _
Public Class DeliveryNoteInToStorageInHeader
    Inherits BaseObject
    Private _Storage As Storage
    Private _StorageMoveType As StorageMoveType
    Private _IsRegistry As Boolean
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        IsRegistry = False
    End Sub
    Property Storage As Storage
        Get
            Return _Storage
        End Get
        Set(value As Storage)
            SetPropertyValue("Storage", _Storage, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("Storage='@This.Storage' and MoveDirection=0 and MoveType=7")>
    Property StorageMoveType As StorageMoveType
        Get
            Return _StorageMoveType
        End Get
        Set(value As StorageMoveType)
            SetPropertyValue("StorageMoveType", _StorageMoveType, value)
        End Set
    End Property
    Property IsRegistry As Boolean
        Get
            Return _IsRegistry
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsRegistry", _IsRegistry, value)
        End Set
    End Property
End Class
